### Hierarchy

- unknown
  - MarketDepthReply

## Index

### Constructors

- constructor

### Methods

- clearMarketDepth
- getMarketDepth
- hasMarketDepth
- serializeBinary
- setMarketDepth
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MarketDepthReply(): MarketDepthReply

- Inherited from jspb.Message.constructor

  #### Returns MarketDepthReply

## Methods

### clearMarketDepth

- clearMarketDepth(): MarketDepthReply

- - Defined in src/protobuf/grpc_pb.d.ts:2153

  #### Returns MarketDepthReply

### getMarketDepth

- getMarketDepth(): undefined | MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2150

  #### Returns undefined | MarketDepthInfo

### hasMarketDepth

- hasMarketDepth(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2152

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2155

  #### Returns Uint8Array

### setMarketDepth

- setMarketDepth(value?: MarketDepthInfo ): MarketDepthReply

- - Defined in src/protobuf/grpc_pb.d.ts:2151

  #### Parameters

  - ##### Optional value: MarketDepthInfo

  #### Returns MarketDepthReply

### toObject

- toObject(includeInstance?: boolean): MarketDepthReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2156

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MarketDepthReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketDepthReply

- - Defined in src/protobuf/grpc_pb.d.ts:2159

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketDepthReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketDepthReply, reader: BinaryReader): MarketDepthReply

- - Defined in src/protobuf/grpc_pb.d.ts:2160

  #### Parameters

  - ##### message: MarketDepthReply

  - ##### reader: BinaryReader

  #### Returns MarketDepthReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketDepthReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2158

  #### Parameters

  - ##### message: MarketDepthReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MarketDepthReply ): MarketDepthReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2157

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketDepthReply

  #### Returns MarketDepthReply . AsObject

Generated using TypeDoc